function [p l] = fp(v, samp, nPeaks)
% find peaks/valleys of the rectified signals

[p l_ind] = findpeaks(abs(v),'SORTSTR','descend','NPEAKS',nPeaks,'MINPEAKDISTANCE',5);
l = samp(l_ind);
if(length(l)<nPeaks)
    disp('findpeaks found fewer peaks than requested')
end