%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Batting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;
load features/allSwingFeatures;

% Location

feature_select_new(allSwingFeatures,'location','bat','lda');
%feature_select_new(allSwingFeatures,'location','bat','nb');
%feature_select_new(allSwingFeatures,'location','bat','svm');

for k = 1:2:11
  feature_select_new(allSwingFeatures,'location','bat','knn',k);
end;

for m = 1:3
  feature_select_new(allSwingFeatures,'location','bat','svm',m)
end;  


% Player ID

feature_select_new(allSwingFeatures,'playerID','bat','lda');
%feature_select_new(allSwingFeatures,'playerID','bat','nb');

for k = 1:2:11
  feature_select_new(allSwingFeatures,'playerID','bat','knn',k);
end;

player_list = unique(allSwingFeatures.labels.player_ID)

for m = 1:length(player_list)
  feature_select_new(allSwingFeatures,'playerID','bat','svm',player_list(m))
end;  