%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Batting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load features/allSwingFeatures;

% Location

feature_select(allSwingFeatures,'location','bat','lda');
%feature_select(allSwingFeatures,'location','bat','nb');
%feature_select(allSwingFeatures,'location','bat','svm');

for k = 1:2:11
  feature_select(allSwingFeatures,'location','bat','knn',k);
end;


% Player ID

feature_select(allSwingFeatures,'playerID','bat','lda');
%feature_select(allSwingFeatures,'playerID','bat','nb');
%feature_select(allSwingFeatures,'playerID','bat','svm');

for k = 1:2:11
  feature_select(allSwingFeatures,'playerID','bat','knn',k);
end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Subsets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

create_subsets;

% Vertical Location

feature_select(allPitchFeatures,'vert_loc','pitch','lda');
%feature_select(allPitchFeatures,'vert_loc','pitch','svm');
for k = 1:2:11
  feature_select(allPitchFeatures,'vert_loc','pitch','knn',k);
end;
feature_select(allPitchFeatures,'vert_loc','pitch','nb');

