function cluster = clusterPerf(cidx,labels)
% -------------------------
% return clustering performance as homogeneity of labels per cluster
uniqueClusters = unique(cidx);
for i = 1:length(uniqueClusters)
    pts = find(cidx == uniqueClusters(i));
    ptsLabels = labels(pts);
    uniquePtsLabels = unique(ptsLabels);
    clear hg cnt
    for j = 1:length(uniquePtsLabels)
        hg(j) = sum(ptsLabels==uniquePtsLabels(j))./length(pts);
        cnt(j) = sum(ptsLabels==uniquePtsLabels(j));
    end
    cluster{i} = [uniquePtsLabels' hg' cnt'];
end