%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Pitching
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
load features/allPitchFeaturesNOCURVES;

% Type
% Need to do for 1:7

for k = 1:2:11
  feature_select_new(allPitchFeatures,'type','pitch','knn',k);
end;

feature_select_new(allPitchFeatures,'type','pitch','lda');
%feature_select_new(allPitchFeatures,'type','pitch','nb');

for j = 1:7
  if j ~= 3
    feature_select_new(allPitchFeatures,'type','pitch','svm',j)
  end;
end;

clear all;
load features/allPitchFeatures;

% Location

for k = 1:2:11
  feature_select_new(allPitchFeatures,'location','pitch','knn',k);
end;

feature_select_new(allPitchFeatures,'location','pitch','lda');
%feature_select_new(allPitchFeatures,'location','pitch','nb');
% For now omit svm here

% Player ID

feature_select_new(allPitchFeatures,'playerID','pitch','lda');
%feature_select_new(allPitchFeatures,'playerID','pitch','nb');

for k = 1:2:11
  feature_select_new(allPitchFeatures,'playerID','pitch','knn',k);
end;

player_list = unique(allPitchFeatures.labels.player_ID)

for m = 1:length(player_list)
  feature_select_new(allPitchFeatures,'playerID','pitch','svm',player_list(m))
end;  
