%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Pitching
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load features/allPitchFeatures;

% Type

feature_select(allPitchFeatures,'type','pitch','lda');
%feature_select(allPitchFeatures,'type','pitch','nb');
%feature_select(allPitchFeatures,'type','pitch','svm');

for k = 1:2:11
  feature_select(allPitchFeatures,'type','pitch','knn',k);
end;


% Location

feature_select(allPitchFeatures,'location','pitch','lda');
%feature_select(allPitchFeatures,'location','pitch','nb');
%feature_select(allPitchFeatures,'location','pitch','svm');

for k = 1:2:11
  feature_select(allPitchFeatures,'location','pitch','knn',k);
end;

% Player ID

feature_select(allPitchFeatures,'playerID','pitch','lda');
%feature_select(allPitchFeatures,'playerID','pitch','nb');
%feature_select(allPitchFeatures,'playerID','pitch','svm');

for k = 1:2:11
  feature_select(allPitchFeatures,'playerID','pitch','knn',k);
end;


clear all;