% use this script to go through the whole pitching dataset and plot stuff
%
% more examples known to be dangerously close to the edges for allPitches
% 44 97 156 167 174 175

% bad data for allSwings (from hand)
% [1637 1808 1774 1778 1829 1779 1356 1322 1412 1764 1429 1600 1696 1414 1838 1766 1424 1428 1753 1797 1804 1693]
% from forearm
% [1402  	1789]
% from upper_arm:
% [1689 1834]
% [1679 1689]
% missing swingInfo:
% [62 63 123 145 181 182 197 222]



function badData = goThroughAllData(allData)

badData = [];
j = 1;
for i = 1:length(allData)
    % Look at hand data
    hand = allData{i}.rawData.hand;
    
    f = subplot(1,2,1); plot(hand.HI_SAMP,hand.HI_X,'b'), hold on, plot(hand.HI_SAMP,hand.HI_Y,'r'), plot(hand.HI_SAMP,hand.HI_Z,'g'), hold off
    title('X Y Z')
    
    f = subplot(1,2,2); plot(hand.HI_SAMP,hand.HI_PI,'b'), hold on, plot(hand.HI_SAMP,hand.HI_RO,'r'), plot(hand.HI_SAMP,hand.HI_YA,'g'), hold off
    title('PI RO YA')
    
    f = figure(1);
    
    % wait for user input (press 
    w = waitforbuttonpress;
    if w == 1
        if(get(f,'CurrentCharacter')=='b')
            badData(j) = i;
            j = j + 1;
            disp('data rejected')
        else
            disp('data accepted')
        end
    end
end



