function [p,edge_vec,bins] = est_pdf(v1,N);

% v1 is the vector whose pdf we want
% N gives the number of bins

bin_width = (max(v1)-min(v1))/N;
edge_vec = min(v1):bin_width:max(v1);
% to get points on the edge:
edge_vec(1) = edge_vec(1)-.01; 
edge_vec(end) = edge_vec(end)+.01;
[n_x,bins] = histc(v1,edge_vec);
p = n_x/length(v1);

p = p(1:end-1);


%[ct,xout] = hist(v1,N);
%p = ct/length(v1);
%bin_width = xout(2)-xout(1);
%edge_vec  = cat(2,xout-bin_width/2,xout(end)+bin_width/2);
%[n_x,bins] = histc(v1,edge_vec);             
%sum(p)

